Name:             guacamole-ext
Version:          0.8.0
Release:          2%{?dist}
Summary:          Common interfaces for extending the main Guacamole web application
License:          MPLv1.1 or GPLv2+ or LGPLv2+
Group:            Development/Libraries
URL:              http://guac-dev.org/
Source0:          http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz
BuildArch:        noarch

# Generic Buildrequires:
# https://fedoraproject.org/wiki/Packaging:Java#maven_3
BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-local
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
Requires:         java
Requires:         jpackage-utils

# Specific ones:
BuildRequires:    maven-dependency-plugin
BuildRequires:    guacamole-common >= 0.8.0
Requires:         guacamole-common >= 0.8.0
%if 0%{?fedora} || 0%{?rhel} > 6
BuildRequires:    servlet3
%else
BuildRequires:    servlet25
%endif

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is a Java library used by the Guacamole web application to allow
its built-in functionality, such as authentication, to be extended or modified.
%{name} provides an interface for retrieving a set of authorized
connection configurations for a given set of arbitrary credentials. Classes
implementing this interface can be referenced in guacamole.properties to allow
different authentication mechanisms (such as LDAP or SSL client authentication)
to be used. 

%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
mvn-rpmbuild install javadoc:aggregate

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}/guacamole
cp -p target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/guacamole/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.guacamole-%{name}.pom

%add_maven_depmap JPP.guacamole-%{name}.pom guacamole/%{name}.jar


%files
%doc LICENSE README
%{_mavenpomdir}/JPP.guacamole-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/guacamole/%{name}.jar

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}


%changelog
* Mon Mar 25 2013 Simone Caronni <negativo17@gmail.com> - 0.8.0-2
- Source rebuilt upstream due to bug: http://guac-dev.org/trac/ticket/298

* Thu Mar 21 2013 Simone Caronni <negativo17@gmail.com> - 0.8.0-1
- Update to 0.8.0.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 22 2013 Simone Caronni <negativo17@gmail.com> - 0.7.0-2
- Require 0.7.0 level components and maven-local.

* Fri Dec 14 2012 Simone Caronni <negativo17@gmail.com> - 0.7.0-1
- Updated to 0.7.0.

* Mon Oct 22 2012 Simone Caronni <negativo17@gmail.com> - 0.6.2-1
- Updated to 0.6.2.

* Thu Sep 13 2012 Simone Caronni <negativo17@gmail.com> - 0.6.1-2
- Change Source0 URL

* Thu Aug 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.1-1
- Updated to 0.6.1.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-5
- Fix requirements.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-4
- Added conditional on servlet25/3 for RHEL build.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-3
- Fixed .pom file installation.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-2
- Fixed add_maven_depmap macro.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-1
- First build.
